
!JapaneseEnvironment class methodsFor: 'subclass responsibilities' stamp: 'MarcusDenker 7/12/2012 20:46'!
systemConverterClass
	| encoding |

	OSPlatform isWin32 
		ifTrue: [^ShiftJISTextConverter].
	OSPlatform isMacOS
		ifTrue: [^UTF8TextConverter].
	OSPlatform isUnix
		ifTrue: 
			[encoding := X11Encoding encoding.
			encoding ifNil: [^EUCJPTextConverter].
			(encoding = 'utf-8') 
				ifTrue: [^UTF8TextConverter].				
			(encoding = 'shiftjis' or: [ encoding = 'sjis' ]) 
				ifTrue: [^ShiftJISTextConverter].				
			^EUCJPTextConverter].
	^UTF8TextConverter! !

!JapaneseEnvironment class methodsFor: 'language methods' stamp: 'yo 3/16/2004 14:49'!
traditionalCharsetClass

	^ JISX0208.
! !

LanguageEnvironment subclass: #KoreanEnvironment
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Multilingual-Languages'!

!KoreanEnvironment commentStamp: '<historical>' prior: 0!
This class provides the Korean support.  Unfortunately, we haven't tested this yet.  We did have a working version in previous implementations, but not this new implementation. But as soon as we find somebody who understand the language, probably we can make it work in two days or so, as we have done for Czech support.!

!KoreanEnvironment class methodsFor: 'as yet unclassified' stamp: 'janggoon 11/4/2008 22:11'!
leadingChar
	
	^ 7! !

!KoreanEnvironment class methodsFor: 'subclass responsibilities' stamp: 'mir 7/1/2004 18:42'!
supportedLanguages
	"Return the languages that this class supports. 
	Any translations for those languages will use this class as their environment."
	^#('ko' )! !

!KoreanEnvironment class methodsFor: 'as yet unclassified' stamp: 'MarcusDenker 7/12/2012 20:44'!
systemConverterClass
	| enco! !
